Subject: Re: Tig Welders

From: [email-masked] (ErnieLeim)
Date: 3 Nov 1995 00:53:23 -0500

[email-masked] (John Galt) wrote:

>  So, I'm looking for opinions on quality, price/
>performance ratios of popular welders.  Also, I wonder if any company
>makes a combined unit which will do all three (tig/stick, plasma cutting,
>and mig).  It seems reasonable to use one power supply for all functions,
>but maybe I'm missing something.

   There are several power supplies available that can be used for
multiple uses, but the only 2  that I know are worthwhile are the Miller
Shopmaster 300 and the Powcon 400. The Miller costs about $1800 for the
base unit, and $500 for the MIG wire feeder and $500 for the TIG High
freq. and foot pedal. The Powcon runs about $3500 for the base unit and
about $100 for the attachments. The Shopmaster is a great machine, but the
Powcon is tiny.
Best of luck and hope this helps

@---------------------------------------------------------@
                    Ernie Leimkuhler                                      

                  Stagesmith Productions                                  
                                          
                 Custom Metal Fabrication                                 
               
*    ABANA   SCA     AWS    USITT   IATSE local 15, 488   *
                        Renton, WA                                        
   
*"For this was a time when men were REAL men, women were REAL women and
small furry creatures from alpha centauri were REAL small furry creatures
>from  alpha centauri." --- Douglas Adams  *
@---------------------------------------------------------@